# png::packed_gray_pixel< bits > Class Template Reference

The packed gray pixel class template. The available specializations are for 1-, 2- and 4-bit pixels. More...

`#include <gray_pixel.hpp>`

Inheritance diagram for png::packed_gray_pixel< bits >:

List of all members.

## Public Member Functions

| packed_gray_pixel (byte value=0)

## Detailed Description

### template<size_t bits>
class png::packed_gray_pixel< bits >

The packed gray pixel class template. The available specializations are for 1-, 2- and 4-bit pixels.

## Constructor & Destructor Documentation

template<size_t bits>

png::packed_gray_pixel< bits >::packed_gray_pixel | ( | byte | value = `0` ) | `[inline]`

The documentation for this class was generated from the following file:

- gray_pixel.hpp